Bug 208338 - git has ridiculous amounts of dependancies
git has ridiculous amounts of dependancies
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Wright
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-27 17:54 EDT by Dave Jones
Modified: 2015-01-04 17:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-11 01:10:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2006-09-27 17:54:43 EDT
Installing:
 git                     i386       1.4.2.1-1.fc5    extras            5.0 k
Installing for dependencies:
 apr                     i386       1.2.2-7.3        updates-released  120 k
 apr-util                i386       1.2.7-1.1        updates-released   75 k
 cvs                     i386       1.11.22-2.FC5    updates-released  735 k
 cvsps                   i386       2.1-3.fc5        extras             57 k
 git-arch                i386       1.4.2.1-1.fc5    extras             22 k
 git-core                i386       1.4.2.1-1.fc5    extras            2.5 M
 git-cvs                 i386       1.4.2.1-1.fc5    extras             52 k
 git-email               i386       1.4.2.1-1.fc5    extras             16 k
 git-svn                 i386       1.4.2.1-1.fc5    extras             57 k
 gitk                    i386       1.4.2.1-1.fc5    extras             48 k
 perl-DBI                i386       1.52-1.fc5       updates-released  605 k
 postgresql-libs         i386       8.1.4-1.FC5.1    updates-released  195 k
 rcs                     i386       5.7-29.2.1       core              333 k
 rsync                   i386       2.6.8-1.FC5.1    updates-released  230 k
 subversion              i386       1.3.2-2.1        updates-released  2.1 M
 subversion-perl         i386       1.3.2-2.1        updates-released  688 k
 tcl                     i386       8.4.13-1.1       updates-released  959 k
 tk                      i386       8.4.13-1.1       updates-released  886 k
 tla                     i386       1.3.4-4.fc5      extras            368 k


This is just nuts considering I just want to git clone/pull, fix something and
git push it back.

Can this package be split up into subpackages ?
gitk could live in its own package, and maybe a git-interop package for all the
conversion scripts that most people never need.
Comment 1 Chris Wright 2006-09-27 18:07:54 EDT
It is split up.  On most machines I only ever install git-core and gitk.
The original package was called git-core, so if you just kept updating
you would never get anything but the core git (clone/pull/push...).  The
actual git package is just an umbrella package with dependencies to pull
in all the crud people might want.

Note You need to log in before you can comment on or make changes to this bug.